Subject: Re: [Ecrit] New Version Notification for draft-patel-ecrit-sos-parameter-07

From: Cullen Jennings <[email-masked]>
Date: Sat, 7 Nov 2009 08:04:43 +0900

It was pointed out to me that some registrars that do not support the  
emergency registration will accept a contact with the sos parameter  
and will also return it in the 200. They just copy the data. Because  
of this, I don't think that detecting the parameter in the 200 is a  
sufficient way for the UA to know the registrar supports this  
mechanism. Due to it's importance for emergency calls, this seems like  
a real problem.

My recommended fix to this would be to add a required/supported option  
tag. I realize this is not great news to many of the folks involved  
but from what I have heard, this does sounds like a problem. Glad to  
hear any ideas on how to get a solutions published quickly that meets  
3GPPs requirements.

Cullen <with my AD hat on>

On Oct 27, 2009, at 7:14 , Milan Patel wrote:

> Hi Cullen,
>
> I have submitted a new version of draft-patel-ecrit-sos-parameter
>
> Latest changes are:
> - clarification of use
> - change of URI parameter name to "reg-type" which can have a value
> - specifically for 3GPP's IMS emergency services solution, "reg-type"
> takes the value "sos".
>
> - the URI parameter is extensible to allow other values to be used in
> the future for other use cases where the registration type needs to be
> explicitly identified to the registrar.
>
> I hope this helps in addressing the concerns that you and others had
> about the previous version.
> Due to the 3GPP release 7 dependency on this draft, I hope we can  
> reach
> consensus on this draft as soon as possible.
>
> Best regards,
> Milan
>
>
>
> -----Original Message-----
> From: IETF I-D Submission Tool [mailto:[email-masked]]
> Sent: 26 October 2009 22:04
> To: Patel, Milan (MOP:EP10)
> Subject: New Version Notification for draft-patel-ecrit-sos- 
> parameter-07
>
>
>
> A new version of I-D, draft-patel-ecrit-sos-parameter-07.txt has been
> successfuly submitted by Milan Patel and posted to the IETF  
> repository.
>
> Filename:	 draft-patel-ecrit-sos-parameter
> Revision:	 07
> Title:		 SOS Uniform Resource Identifier (URI) Parameter for
> Marking of Session Initiation Protocol (SIP) Requests related to
> Emergency Services
> Creation_date:	 2009-10-26
> WG ID:		 Independent Submission
> Number_of_pages: 8
>
> Abstract:
> This document defines a new Session Initiation Protocol (SIP) Uniform
> Resource Identifier (URI) parameter intended for marking SIP
> registration requests related to emergency services.  The URI
> parameter is extensible to allow future values to be defined if
> required by other use cases that require specific SIP registrations
> to be distinctly identified.  The usage of this new URI parameter
> complements the usage of the Service Uniform Resource Name (URN) and
> is not intended to replace it.
>
>
>
>
> The IETF Secretariat.
>
>

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Mon, 9 Nov 2009 05:27:12 +0100

So just to be clear here.

You are presumably proposing an option tag in addition to the new URI parameter.

Use of the option tag without the parameter would merely confirm that the extension was supported.

Keith

> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Cullen Jennings
> Sent: Friday, November 06, 2009 11:05 PM
> To: ECRIT
> Cc: Hannes Tschofenig
> Subject: Re: [Ecrit] New Version Notification for 
> draft-patel-ecrit-sos-parameter-07
> 
> 
> It was pointed out to me that some registrars that do not 
> support the emergency registration will accept a contact with 
> the sos parameter and will also return it in the 200. They 
> just copy the data. Because of this, I don't think that 
> detecting the parameter in the 200 is a sufficient way for 
> the UA to know the registrar supports this mechanism. Due to 
> it's importance for emergency calls, this seems like a real problem.
> 
> My recommended fix to this would be to add a 
> required/supported option tag. I realize this is not great 
> news to many of the folks involved but from what I have 
> heard, this does sounds like a problem. Glad to hear any 
> ideas on how to get a solutions published quickly that meets 
> 3GPPs requirements.
> 
> > reach consensus on this draft as soon as possible.
> >
> > Best regards,
> > Milan
> >
> >
> >
> > A new version of I-D, 
> draft-patel-ecrit-sos-parameter-07.txt has been 
> > required by other use cases that require specific SIP 
> registrations to 
> > be distinctly identified.  The usage of this new URI parameter 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit
>

---

From: "Milan Patel" <[email-masked]>
Date: Mon, 9 Nov 2009 06:13:02 -0000

Hi Cullen, Keith, 

Note, this discussion has occurred before in the past and we considered
that that option tags were not necessary. 

My understanding (and may be the draft is misleading but I don't think
so) is that the UA doesn't need to know that the network supports the
extension. It adds the "reg-type" in the REGISTER and if supported by
the registrar, the registrar will successfully register even in the case
the identities are barred, for example. In the case the registrar does
not understand the parameter, there is a chance the registration fails,
but in the case it is successful, the same 200 is returned to the UA. 

The UA uses this contact (returned in the 200 to the RGISTER) in the
emergency INVITE, but from a UA point of view, there is not special
reason for the UA to interpret the value.

Legacy registrars would indeed just copy the URI parameter to the 200
(OK) so the draft needs updating for that.

Cheers,
Milan

Milan Patel
Carrier Networks Core Standards
Nortel
[email-masked]
Telephone +44 162 843 2381 / ESN 560 2381
Mobile +44 774 053 9261 / ESN 748 9261

For the Companies listed below, The Institute of Chartered Accountants
in England and Wales authorises A R Bloom, S Harris and C Hill to act as
Insolvency Practitioners under section 390(2)(a) of the Insolvency Act
1986 and the Association of Chartered Certified Accountants authorises A
M Hudson to act as an Insolvency Practitioner under section 390(2)(a) of
the Insolvency Act 1986.

The affairs, business and property of the Companies are being managed by
the Joint Administrators, A R Bloom, S Harris, AM Hudson and C Hill who
act as agents of the Companies only and without personal liability.

The Companies are Nortel Networks UK Limited; Nortel Networks SA; Nortel
GmbH; Nortel Networks France SAS; Nortel Networks NV; Nortel Networks
SpA; Nortel Networks BV; Nortel Networks Polska SP Zoo; Nortel Networks
Hispania SA; Nortel Networks (Austria) GmbH; Nortel Networks sro; Nortel
Networks Engineering Service Kft; Nortel Networks Portugal SA; Nortel
Networks Slovensko sro; Nortel Networks Oy; Nortel Networks Romania SRL;
Nortel Networks AB; Nortel Networks International Finance & Holding BV

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of DRAGE, Keith (Keith)
Sent: 09 November 2009 04:27
To: Cullen Jennings; ECRIT
Cc: Hannes Tschofenig
Subject: Re: [Ecrit] New Version Notificationfor
draft-patel-ecrit-sos-parameter-07

You are presumably proposing an option tag in addition to the new URI
parameter.

Use of the option tag without the parameter would merely confirm that
the extension was supported.

Keith

---

From: Cullen Jennings <[email-masked]>
Date: Wed, 11 Nov 2009 07:44:47 +0900

So if the register returns a 200, does the UA know that emergecny  
calls will work? Or could it mean that all calls will simply be meant  
with the message "sorry this subscriber is out of funds"